com.verisign.epp.codec.registry.v02

## Class EPPRegistryBatchJob

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryBatchJob

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryBatchJob
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPRegistryBatchJob` contains the information for an individual batch job.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryBatchJob`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryBatchJob`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryBatchJob()` Default constructor for `EPPRegistryBatchJob`.
    `EPPRegistryBatchJob(java.lang.String aName, EPPRegistryBatchSchedule aSchedule)` `EPPRegistryBatchJob` constructor that the required name and an individual schedule.
    `EPPRegistryBatchJob(java.lang.String aName, EPPRegistryBatchSchedule aSchedule, java.lang.String aDescription)` `EPPRegistryBatchJob` constructor that the required name, an individual schedule, along with an optional description.
    `EPPRegistryBatchJob(java.lang.String aName, java.util.List<EPPRegistryBatchSchedule> aSchedules, java.lang.String aDescription)` `EPPRegistryBatchJob` constructor that the required name, a list of schedules, along with an optional description.
    `EPPRegistryBatchJob(java.lang.String aName, java.lang.String aDescription)` `EPPRegistryBatchJob` constructor that the name and the optional description.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSchedule(EPPRegistryBatchSchedule aSchedule)` Adds a schedule to the list of batch job schedules.
    `java.lang.Object` | `clone()` Clone `EPPRegistryBatchJob`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryBatchJob` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryBatchJob` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryBatchJob` compare.
    `java.lang.String` | `getDescription()` Gets the OPTIONAL free-form description of batch job, like "Auto Renew Batch" or "Pending Delete Batch".
    `java.lang.String` | `getName()` Gets the name of the batch job, like "autoRenew" or "pendingDelete".
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.List<EPPRegistryBatchSchedule>` | `getSchedules()` Gets the `List` of `EPPRegistryBatchSchedule` instances containing the batch job schedules.
    `boolean` | `hasDescription()` Is the description defined?
    `boolean` | `hasName()` Is the name defined?
    `boolean` | `hasSchedules()` Is the schedules defined?
    `void` | `setDescription(java.lang.String aDescription)` Sets the OPTIONAL free-form description of batch job, like "Auto Renew Batch" or "Pending Delete Batch".
    `void` | `setName(java.lang.String aName)` Sets the name of the batch job, like "autoRenew" or "pendingDelete".
    `void` | `setSchedules(java.util.List<EPPRegistryBatchSchedule> aSchedules)` Sets the `List` of `EPPRegistryBatchSchedule` instances containing the batch job schedules.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryBatchJob`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryBatchJob`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryBatchJob

          public EPPRegistryBatchJob()

      Default constructor for `EPPRegistryBatchJob`.

    - #### EPPRegistryBatchJob

          public EPPRegistryBatchJob(java.lang.String aName,
                                     java.lang.String aDescription)

      `EPPRegistryBatchJob` constructor that the name and the optional description. At least one schedule must be set. individual schedule.
      Parameters:
        `aName` - Name of the batch job, like "autoRenew" or "pendingDelete".
        `aDescription` - Description of the batch job

    - #### EPPRegistryBatchJob

          public EPPRegistryBatchJob(java.lang.String aName,
                                     EPPRegistryBatchSchedule aSchedule)

      `EPPRegistryBatchJob` constructor that the required name and an individual schedule.
      Parameters:
        `aName` - Name of the batch job, like "autoRenew" or "pendingDelete".
        `aSchedule` - An individual batch schedule using XML schema "time" type format

    - #### EPPRegistryBatchJob

          public EPPRegistryBatchJob(java.lang.String aName,
                                     EPPRegistryBatchSchedule aSchedule,
                                     java.lang.String aDescription)

      `EPPRegistryBatchJob` constructor that the required name, an individual schedule, along with an optional description.
      Parameters:
        `aName` - Name of the batch job, like "autoRenew" or "pendingDelete".
        `aSchedule` - An individual batch schedule using the XML schema "time" type format
        `aDescription` - Description of the batch job

    - #### EPPRegistryBatchJob

          public EPPRegistryBatchJob(java.lang.String aName,
                                     java.util.List<EPPRegistryBatchSchedule> aSchedules,
                                     java.lang.String aDescription)

      `EPPRegistryBatchJob` constructor that the required name, a list of schedules, along with an optional description.
      Parameters:
        `aName` - Name of the batch job, like "autoRenew" or "pendingDelete".
        `aSchedules` - A list of schedules with each schedule using the XML schema "time" type format
        `aDescription` - Description of the batch job

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryBatchJob` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryBatchJob` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryBatchJob` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryBatchJob` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryBatchJob` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryBatchJob`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryBatchJob`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryBatchJob` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryBatchJob` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### hasName

          public boolean hasName()

      Is the name defined?
      Returns:
        `true` if the name is defined; `false` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the name of the batch job, like "autoRenew" or "pendingDelete".
      Returns:
        Name of the batch job if defined; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the name of the batch job, like "autoRenew" or "pendingDelete".
      Parameters:
        `aName` - Name of the batch job

    - #### hasDescription

          public boolean hasDescription()

      Is the description defined?
      Returns:
        `true` if the description is defined; `false` otherwise.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the OPTIONAL free-form description of batch job, like "Auto Renew Batch" or "Pending Delete Batch".
      Returns:
        batch job description if defined; `null` otherwise.

    - #### setDescription

          public void setDescription(java.lang.String aDescription)

      Sets the OPTIONAL free-form description of batch job, like "Auto Renew Batch" or "Pending Delete Batch".
      Parameters:
        `aDescription` - the description to set

    - #### hasSchedules

          public boolean hasSchedules()

      Is the schedules defined?
      Returns:
        `true` if the schedules is defined; `false` otherwise.

    - #### getSchedules

          public java.util.List<EPPRegistryBatchSchedule> getSchedules()

      Gets the `List` of `EPPRegistryBatchSchedule` instances containing the batch job schedules.
      Returns:
        `List` of `EPPRegistryBatchSchedule` instances if defined; `null` otherwise.

    - #### setSchedules

          public void setSchedules(java.util.List<EPPRegistryBatchSchedule> aSchedules)

      Sets the `List` of `EPPRegistryBatchSchedule` instances containing the batch job schedules.
      Parameters:
        `aSchedules` - `List` of `EPPRegistryBatchSchedule` instances

    - #### addSchedule

          public void addSchedule(EPPRegistryBatchSchedule aSchedule)

      Adds a schedule to the list of batch job schedules.
      Parameters:
        `aSchedule` - Schedule to add to the list of batch job schedules

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.